umbrello: CodeImpSelectPage Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Signals | Public Member Functions | Protected Slots | Private Slots | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
CodeImpSelectPage Class Reference

`#include <codeimpselectpage.h>`

Inheritance diagram for CodeImpSelectPage:

## Signals
void | applyClicked ()
void | languageChanged ()
void | syncCodeDocumentsToParent ()
void | selectionChanged ()

## Public Member Functions
| CodeImpSelectPage (QWidget *parent=0)
| ~CodeImpSelectPage ()
QString | language ()
bool | validatePage ()
QList< QFileInfo > | selectedFiles ()

## Protected Slots
void | languageChanged (int id)
void | treeClicked (const QModelIndex &index)
void | treeEntered (const QModelIndex &index)

## Private Slots
void | changeLanguage ()
void | subdirStateChanged (int state)
void | fileExtChanged ()
void | selectAll ()
void | deselectAll ()
void | updateSelectionCounter ()

## Private Member Functions
bool | matchFilter (const QFileInfo &path)
void | setupLanguageBox ()
void | setupTreeView ()
void | setupFileExtEdit ()
void | setupToolTips ()

## Private Attributes
QList< QFileInfo > | m_fileList
QStringList | m_fileExtensions

## Static Private Attributes
static QString | s_recentPath

## Detailed Description

This class is used in the code importing wizard. It represents the first page where files are selected for importing.

Author
  Andi Fischer

## Constructor & Destructor Documentation

## ◆ CodeImpSelectPage()

CodeImpSelectPage::CodeImpSelectPage | ( | QWidget * | parent = `0` | ) |
| explicit

Constructor.

Parameters

  parent | the parent (wizard) of this wizard page

## ◆ ~CodeImpSelectPage()

CodeImpSelectPage::~CodeImpSelectPage | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ applyClicked

void CodeImpSelectPage::applyClicked | ( |  | ) |
| signal

## ◆ changeLanguage

void CodeImpSelectPage::changeLanguage | ( |  | ) |
| privateslot

When the user changes the language, the codegenoptions page language-dependent stuff has to be updated.

## ◆ deselectAll

void CodeImpSelectPage::deselectAll | ( |  | ) |
| privateslot

Slot for clicked event on the button widget. Deselects all items in the entire tree.

## ◆ fileExtChanged

void CodeImpSelectPage::fileExtChanged | ( |  | ) |
| privateslot

Slot for the editingFinished event of the line edit widget for the extensions.

## ◆ language()

QString CodeImpSelectPage::language | ( |  | ) |

Returns the user selected language used for code generation.

Returns
  the programming language name

## ◆ languageChanged [1/2]

void CodeImpSelectPage::languageChanged | ( |  | ) |
| signal

## ◆ languageChanged [2/2]

void CodeImpSelectPage::languageChanged | ( | int | id | ) |
| protectedslot

Slot of the activated event of the combo box widget. Transform signal.

Parameters

  id | position in combo box

## ◆ matchFilter()

bool CodeImpSelectPage::matchFilter | ( | const QFileInfo & | path | ) |
| private

Decide if the given file has one of the set extensions.

Parameters

  path | file info to be examined

Returns
  status if found or not

## ◆ selectAll

void CodeImpSelectPage::selectAll | ( |  | ) |
| privateslot

Slot for clicked event on the button widget. Select all items in the current selected directory. If the checkbox 'ui_subdirCheckBox' is selected also all the files in the subdirectories are selected.

## ◆ selectedFiles()

QList< QFileInfo > CodeImpSelectPage::selectedFiles | ( |  | ) |

Returns the list of files, which will be used for code import.

Returns
  the list of the selected files

## ◆ selectionChanged

void CodeImpSelectPage::selectionChanged | ( |  | ) |
| signal

## ◆ setupFileExtEdit()

void CodeImpSelectPage::setupFileExtEdit | ( |  | ) |
| private

Setup the tree view and file extension widget. Call it after setupTreeView(), because the extensions are set there.

## ◆ setupLanguageBox()

void CodeImpSelectPage::setupLanguageBox | ( |  | ) |
| private

Fills the language combo box with items and sets the currently selected value.

## ◆ setupToolTips()

void CodeImpSelectPage::setupToolTips | ( |  | ) |
| private

Setup the tool tips for every widget. TODO: Do it here or in the ui file?

## ◆ setupTreeView()

void CodeImpSelectPage::setupTreeView | ( |  | ) |
| private

Setup the tree view widget.

## ◆ subdirStateChanged

void CodeImpSelectPage::subdirStateChanged | ( | int | state | ) |
| privateslot

Slot for the stateChanged event of the subdirectory check box.

Parameters

  state | check box state (Qt::Checked / Qt::Unchecked)

## ◆ syncCodeDocumentsToParent

void CodeImpSelectPage::syncCodeDocumentsToParent | ( |  | ) |
| signal

## ◆ treeClicked

void CodeImpSelectPage::treeClicked | ( | const QModelIndex & | index | ) |
| protectedslot

Slot for the clicked event on one of the items of the tree view widget.

Parameters

  index | the index of the item on which was clicked

## ◆ treeEntered

void CodeImpSelectPage::treeEntered | ( | const QModelIndex & | index | ) |
| protectedslot

## ◆ updateSelectionCounter

void CodeImpSelectPage::updateSelectionCounter | ( |  | ) |
| privateslot

Utility method for setting the selection counter.

## ◆ validatePage()

bool CodeImpSelectPage::validatePage | ( |  | ) |

Reimplemented QWizardPage method to validate page when user clicks next button.

Returns
  the validation state

## Member Data Documentation

## ◆ m_fileExtensions

QStringList CodeImpSelectPage::m_fileExtensions
| private

## ◆ m_fileList

QList<QFileInfo> CodeImpSelectPage::m_fileList
| private

## ◆ s_recentPath

QString CodeImpSelectPage::s_recentPath
| staticprivate

Keep the last clicked directory for setting it the next time.

The documentation for this class was generated from the following files:

- umbrello/codeimpwizard/codeimpselectpage.h
- umbrello/codeimpwizard/codeimpselectpage.cpp